Index: code/branches/FICN/visual_studio/FICN.sln
===================================================================
--- code/branches/FICN/visual_studio/FICN.sln	(revision 679)
+++ code/branches/FICN/visual_studio/FICN.sln	(revision 682)
@@ -6,4 +6,7 @@
 		Debug.AspNetCompiler.Debug = "True"
 		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 	EndProjectSection
 EndProject
@@ -37,4 +40,8 @@
 		Debug.AspNetCompiler.Debug = "True"
 		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 	EndProjectSection
 EndProject
Index: code/branches/FICN/visual_studio/benixonox.vcproj
===================================================================
--- code/branches/FICN/visual_studio/benixonox.vcproj	(revision 679)
+++ code/branches/FICN/visual_studio/benixonox.vcproj	(revision 682)
@@ -40,5 +40,5 @@
 				Name="VCCLCompilerTool"
 				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="LOADER_STATIC"
+				PreprocessorDefinitions="LOADER_STATIC_BUILD"
 				PrecompiledHeaderThrough=""
 			/>
@@ -109,5 +109,5 @@
 				Name="VCCLCompilerTool"
 				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="LOADER_STATIC"
+				PreprocessorDefinitions="LOADER_STATIC_BUILD"
 			/>
 			<Tool
@@ -334,4 +334,8 @@
 			</File>
 			<File
+				RelativePath="..\src\orxonox\OrxonoxPlatform.h"
+				>
+			</File>
+			<File
 				RelativePath="..\src\orxonox\OrxonoxPrereqs.h"
 				>
Index: code/branches/FICN/visual_studio/core.vcproj
===================================================================
--- code/branches/FICN/visual_studio/core.vcproj	(revision 679)
+++ code/branches/FICN/visual_studio/core.vcproj	(revision 682)
@@ -18,5 +18,5 @@
 		<Configuration
 			Name="Debug|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets=".\base_properties_debug.vsprops"
 			CharacterSet="1"
@@ -40,4 +40,5 @@
 				Name="VCCLCompilerTool"
 				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="CORE_SHARED_BUILD"
 			/>
 			<Tool
@@ -51,5 +52,6 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain_d.lib"
 			/>
 			<Tool
@@ -57,4 +59,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -64,4 +69,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -71,5 +82,5 @@
 		<Configuration
 			Name="Release|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets=".\base_properties_release.vsprops"
 			CharacterSet="1"
@@ -94,4 +105,5 @@
 				Name="VCCLCompilerTool"
 				AdditionalIncludeDirectories=""
+				PreprocessorDefinitions="CORE_SHARED_BUILD"
 			/>
 			<Tool
@@ -105,5 +117,6 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain.lib"
 			/>
 			<Tool
@@ -111,4 +124,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -118,4 +134,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -195,4 +217,8 @@
 			</File>
 			<File
+				RelativePath="..\src\orxonox\core\CorePrereqs.h"
+				>
+			</File>
+			<File
 				RelativePath="..\src\orxonox\core\Debug.h"
 				>
Index: code/branches/FICN/visual_studio/loader.vcproj
===================================================================
--- code/branches/FICN/visual_studio/loader.vcproj	(revision 679)
+++ code/branches/FICN/visual_studio/loader.vcproj	(revision 682)
@@ -40,5 +40,5 @@
 				Name="VCCLCompilerTool"
 				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="LOADER_STATIC"
+				PreprocessorDefinitions="LOADER_STATIC_BUILD"
 			/>
 			<Tool
@@ -95,5 +95,5 @@
 				Name="VCCLCompilerTool"
 				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="LOADER_STATIC"
+				PreprocessorDefinitions="LOADER_STATIC_BUILD"
 			/>
 			<Tool
@@ -149,5 +149,5 @@
 			</File>
 			<File
-				RelativePath="..\src\loader\LoaderPlatform.h"
+				RelativePath="..\src\loader\LoaderPrereqs.h"
 				>
 			</File>
